Commit 66c61afd authored by Chris Croome's avatar Chris Croome

Fix vars file?

parent ed8ad827
Pipeline #3472 failed with stages
in 1 minute and 39 seconds
---
- name: Build
hosts: "{{ hostname }}"
include_vars:
- vars.yml
roles:
- build
---
- name: Deploy
hosts: "{{ hostname }}"
include_vars:
- vars.yml
roles:
- deploy
......@@ -127,3 +127,9 @@
chdir: /build/repo
with_fileglob:
- "/build/src/*.deb"
# This depends on the https://git.coop/webarch/website-templates code
- name: Create a index.shtml file for the repo
template:
src: templates/index.shtml.j2
dest: /build/repo/index.shtml
<!--#set var="PAGE_TITLE"
value="{{ php_release_name }}"
--><!--#set var="PAGE_DESC"
value="PHP{{ php_version }} packages for Debian {{ php_distro }} built with FD_SETSIZE set to {{ php_sockets }}."
--><!--#include virtual="/wsh/top.shtml" -->
<p>The following commands all assume you are <code>root</code>, run <code>sudo -i</code> first.
<p>To use the packages in this repo first ensure you have <code>apt-transport-https</code> installed:
<pre>
apt install apt-transport-https
</pre>
Then add the public GPG key to your machine:</p>
<pre>
wget -O - https://{{ php_repo_domain }}/pub.gpg | apt-key add -
</pre>
<p>Then create a <code>/etc/apt/sources.list.d/php{{ php_version }}.list</code> file:</p>
<pre>
echo "deb https://{{ php_repo_domain }}/ {{ php_distro }} main" &gt; /etc/apt/sources.list.d/php{{ php_version }}.list
</pre>
<p>Finally update your cache and packages:</p>
<pre>
apt update
apt dist-upgrade
</pre>
<!--#include virtual="/wsh/bot.shtml" -->
---
- name: Test
hosts: "{{ hostname }}"
include_vars:
- vars.yml
roles:
- test
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment